2019-12-07 09:15 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000481FSSCPPilot datapublic2013-03-24 05:28
Reportertaylor 
Assigned ToZacam 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.7.0 
Summary0000481: Problems related to the pilot file code (container for multiple bugs)
DescriptionThis is just a container for the multiple bugs related to either pilot files or campaign savefiles. Rather than having a bunch of bug reports it will be easier to track everything with just this one bug. All new pilot code is in the works and most of the bugs will be properly addressed with the new code but will need a fair amount of testing when the new code is finally made public in a few months.
Additional InformationFS2 does not automatically switch to available campaign if main FS2 campaign is not found (0000466)

New pilot code breaks the techroom (0000302)

Red-Alert bugs stiming from pilot file problems (0000272)

Some HUD-Changes aren't being saved into the pilot-file (0000330)

Use a 5PT table check instead of CRC table check for automatic campaign switching. (no existing public bug)

Campaign persistent variables need to be kept campaign wide rather than stored on a per mission status since the correct variable value is almost never used otherwise. (no existing public bug)

Make player persistent variable limit dynamic, to match campaign version of the same. (no existing public bug)

Handle both campaign duration and all time duration stats for each pilot. (no existing bug)

Add better support for handling branch missions. (in relation to bug 0000950)
TagsNo tags attached.
Attached Files

-Relationships
parent of 0000330closedtaylor Some HUD-Changes aren't being saved into the pilot-file 
parent of 0000272closedtaylor Red-Alert bugs 
parent of 0000302closedtaylor New pilot code breaks the techroom 
parent of 0000466closedtaylor FS2 does not automatically switch to available campaign if main FS2 campaign is not found 
parent of 0001303closed Joystick has more axes than JOY_NUM_AXES 
parent of 0001509closed Target box and lead indicator dissapear when using mouse, stay when using a joystick. 
+Relationships

-Notes

~0002849

taylor (administrator)

Bug 0000466 is fixed in the new code.

Bug 0000302 will hopefully be truely fixed with the new code.

Bug 0000272 is fixed in the new code.

Bug 0000330 is fixed in the new code.

~0002862

Goober5000 (administrator)

Hooray!

~0003137

kasperl (developer)

If 0000302 is fixed, we can close this. Any confirmations?

~0003144

taylor (administrator)

I mainly opened this to keep track of pilot bugs, fixed or not, and have a place to dump new bugs that I don't know about yet. There are still a couple of problems in the barracks and issues related to ship/weapon loadouts which haven't been properly identified enough to bug report yet.

~0004958

taylor (administrator)

Bumping to add a couple of extra issues that I still need to work out (basic todo list), but these aren't filed as bugs already. Just trying to make sure that things mentioned in the forums or through e-mail don't get lost among my mess of other projects.

~0006381

Kazan (developer)

uncomment the code for glide while pressed that is scattered about in controlsconfig/controlsconfig.h,controlsconfigcommon.cpp, io/keycontrol.cpp, playerman/playercontrol.cpp just search the code for "until taylor"

~0006494

thesource2 (reporter)

Last edited: 2006-09-05 10:03

Also add this one to list
0000810

edited on: 09-01-06 09:28

edited on: 09-04-06 07:09

edited on: 09-04-06 07:09

edited on: 09-05-06 10:03

~0006547

thesource2 (reporter)

Taylor, how to make link to bug like you did? I mean with only bug id displayed and bug status/name tooltip

~0006548

taylor (administrator)

Just use the pound sign (#) and then the bug number.

~0007723

taylor (administrator)

Adding input related child, bug 0001303.

~0009071

taylor (administrator)

Adding additional input related bug, 0001509.

~0010423

Zacam (administrator)

Last edited: 2008-12-17 00:46

Can 0001590 be added to the list? (Regional OS keymapping not translating to proper keystrokes)

~0012553

Zacam (administrator)

To be Tested against the Antipodes 8 code.

~0014804

MjnMixael (manager)

Not sure what else needs to be tested here. Most of the issues not crossed off look more like feature requests than bugs. But I'll leave that to someone else to decide.

~0014826

niffiwan (developer)

Agreed - these all look like feature requests to me, so resolving.


Use a 5PT table check instead of CRC table check for automatic campaign switching. (no existing public bug)

Campaign persistent variables need to be kept campaign wide rather than stored on a per mission status since the correct variable value is almost never used otherwise. (no existing public bug)

Make player persistent variable limit dynamic, to match campaign version of the same. (no existing public bug)

Handle both campaign duration and all time duration stats for each pilot. (no existing bug)
+Notes

-Issue History
Date Modified Username Field Change
2005-07-22 03:02 taylor New Issue
2005-07-22 03:03 taylor Note Added: 0002849
2005-07-22 03:03 taylor Assigned To => taylor
2005-07-22 03:03 taylor Status new => assigned
2005-07-22 04:09 Goober5000 Note Added: 0002862
2005-08-24 07:38 kasperl Note Added: 0003137
2005-08-24 10:45 taylor Note Added: 0003144
2006-02-27 01:33 taylor Note Added: 0004958
2006-02-27 01:33 taylor Additional Information Updated
2006-08-01 07:21 Kazan Note Added: 0006381
2006-08-20 07:52 thesource2 Note Added: 0006494
2006-08-21 00:57 thesource2 Note Edited: 0006494
2006-08-21 00:57 thesource2 Note Edited: 0006494
2006-08-21 00:58 thesource2 Note Edited: 0006494
2006-09-01 09:28 thesource2 Note Edited: 0006494
2006-09-04 07:09 thesource2 Note Edited: 0006494
2006-09-04 07:09 thesource2 Note Edited: 0006494
2006-09-04 07:11 thesource2 Note Added: 0006547
2006-09-04 22:25 taylor Note Added: 0006548
2006-09-05 10:03 thesource2 Note Edited: 0006494
2006-10-01 16:02 taylor Additional Information Updated
2006-10-31 23:39 taylor Relationship added parent of 0000330
2006-10-31 23:40 taylor Relationship added parent of 0000272
2006-10-31 23:41 taylor Relationship added parent of 0000302
2006-10-31 23:42 taylor Relationship added parent of 0000466
2007-02-24 22:55 taylor Note Added: 0007723
2007-02-24 22:55 taylor Relationship added parent of 0001303
2008-03-30 07:56 taylor Relationship added parent of 0001509
2008-03-30 07:58 taylor Note Added: 0009071
2008-12-16 19:48 taylor Assigned To taylor =>
2008-12-16 19:48 taylor Status assigned => acknowledged
2008-12-17 00:43 Zacam Note Added: 0010423
2008-12-17 00:43 Zacam Note Edited: 0010423
2008-12-17 00:45 Zacam Note Edited: 0010423
2008-12-17 00:46 Zacam Note Edited: 0010423
2010-12-07 13:09 The_E Category gameplay => Pilot data
2010-12-13 23:26 Zacam Note Added: 0012553
2010-12-13 23:26 Zacam Assigned To => Zacam
2010-12-13 23:26 Zacam Status acknowledged => feedback
2013-03-22 19:55 MjnMixael Note Added: 0014804
2013-03-24 05:28 niffiwan Note Added: 0014826
2013-03-24 05:28 niffiwan Status feedback => resolved
2013-03-24 05:28 niffiwan Fixed in Version => 3.7.0
2013-03-24 05:28 niffiwan Resolution open => fixed
+Issue History